import request from '@/utils/request'

export function homeData(query) {
    return request({
      url: '/MidAutumn/Activity/top',
      method: 'get',
      params:query
    })
  }

  //获取微信支付二维码
export function getWxPayCode(data) {
    return request({
      url: '/MidAutumn/Activity/getPayUrl',
      method: 'post',
      data
    })
  }

  //查询微信支付状态
export function queryWxPayStatus(data) {
    return request({
      url: '/wxPay/getOrderResult',
      method: 'post',
      data
    })
  }

  export function involveRecord(query) {
    return request({
      url: '/mall-draw-prize/user/involveRecord',
      method: 'get',
      params:query
    })
  }